## org.apache.lucene.benchmark.byTask.tasks
Class SetPropTask

    java.lang.Object
      org.apache.lucene.benchmark.byTask.tasks.PerfTask
          org.apache.lucene.benchmark.byTask.tasks.SetPropTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class SetPropTask

extends PerfTask

Set a performance test configuration property. A property may have a single value, or a sequence of values, separated by ":". If a sequence of values is specified, each time a new round starts, the next (cyclic) value is taken.
Other side effects: none.
Takes mandatory param: "name,value" pair.

See Also:
  `NewRoundTask`

Field Summary

Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`logStep, NEW_LINE, params`

Constructor Summary
`SetPropTask(PerfRunData runData)`

Method Summary
`int` `doLogic()` Perform the task once (ignoring repetitions specification) Return number of work items done by this task.
`void` `setParams(java.lang.String params)` Set the params (property name and value).
`boolean` `supportsParams()` Sub classes that supports parameters must override this method to return true.

Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`clone, close, getDepth, getLogMessage, getName, getParams, getRunData, isDisableCounting, runAndMaybeStats, setDepth, setDisableCounting, setName, setup, shouldNeverLogAtStart, shouldNotRecordStats, tearDown, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SetPropTask

    public SetPropTask(PerfRunData runData)

Method Detail

### doLogic

    public int doLogic()
                throws java.lang.Exception

  Description copied from class: `PerfTask`
  Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.

  Specified by:
    `doLogic` in class `PerfTask`
  Returns:
    number of work items done by this task.
  Throws:
    `java.lang.Exception`

### setParams

    public void setParams(java.lang.String params)

  Set the params (property name and value).

  Overrides:
    `setParams` in class `PerfTask`
  Parameters:
    `params` - property name and value separated by ','.

### supportsParams

    public boolean supportsParams()

  Description copied from class: `PerfTask`
  Sub classes that supports parameters must override this method to return true.

  Overrides:
    `supportsParams` in class `PerfTask`
  Returns:
    true iff this task supports command line params.

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.